Subject: bug#3145: 23.0.92; detaching GTK+ tool bar crashes emacs --daemon

From: Jan Djärv <[email-masked]>
Date: Wed, 05 Aug 2009 11:41:09 +0200

Sven Joachim skrev:
> On 2009-05-04 22:17 +0200, Jan Djärv wrote:
> 
>> Richard M Stallman skrev:
>>> It would be useful to make Emacs detect this case and give a clean
>>> error message such as "Due to GTK+ bug number XYZ, what you want to do
>>> is impossible", rather than just crashing.
>> The good news is that the bug has been marked as FIXED.  But I don't
>> know in which Gtk+ version the fix will appear in.  The only way to
>> detect this particular bug is by checking version numbers.
> 
> For the record, I see the following in
> /usr/share/doc/libgtk2.0-common/changelog.gz:
> 
> ,----
> | commit 00524901e1393618e469dd9a8f224401b8ba7e35
> | Author: Matthias Clasen <[email-masked]>
> | Date:   Sun May 3 22:27:12 2009 -0400
> | 
> |     Make GtkHandleBox work on multiple displays
> | 
> |  gtk/gtkhandlebox.c |    1 +
> |  1 files changed, 1 insertions(+), 0 deletions(-)
> `----
> 
> This is included in GTK+ 2.16.2, but the recipe to crash Emacs from the
> original report still works in
> GNU Emacs 23.1.50.4 (x86_64-unknown-linux-gnu, GTK+ Version 2.16.5)
> of 2009-08-04 on turtle .
> 
> Note that this recipe does not even involve multiple displays.
> 

You are correct, the fix in Gtk+ is no good, it is obvious that they didn't 
test the fix.
I've reopened the Gtk+ bug for this with new information:
http://bugzilla.gnome.org/show_bug.cgi?id=581110

Hopefully a better fix will come.

	Jan D.